Subject: Re: an x environment
From: [email-masked] (Steve o)

5 Aug 1997 12:22:20 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.02Gold (WinNT; U)
Original-To: Michael Anderson <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Michael Anderson wrote:
> 
> Steve o wrote:
> >
> > fvwm2 ported without a hitch.
> 
> Hi Steve:
> 
> I've been using bash windows and vi for my work and wondering just how I
> might get X and fvwm working. Can you tell me the steps needed to do
> this? Which X server are you using and what other software needs to be
> installed? Config files? If you posted the process to the newsgroup, it
> might help out others wondering how to do this.

I am using Hummingbird's Exceed X Server, 
    http://www.hummingbird.com/products/exceed/
I set the environment variable DISPLAY=:0

I installed the "X client libs for NT" from 
    http://www.cygnus.com/misc/gnu-win32/

Fvwm needs xpm so I got that from: 
    ftp://ftp.x.org/contrib/libraries/xpm-3.4j.tar.gz

Fvwm can be obtained from: 
    http://www.hpc.uh.edu/fvwm/

The steps to install are:
	tar -xvzf package.tar.gz
	cd package
	xmkmf -a
	make
	make install

Sometimes the install target in the Makefile will have: 
   cp foo /usr/local/bin/foo
These need to be changed to: 
   cp foo.exe /usr/local/bin/foo.exe

There are some sample .fvwm2rc files included in the distribution, 
copy one of these to your home directory. 

If you run fvwm, you'll want to set the Exceed 
    Xconfig->Window Mode->window manager to X.

You'll need Sergey's coolview and remote.tar.gz.
-steve
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".